Skip to navigation

Get template lock information

View as Markdown

Retrieves general information about a template lock.

The user requesting the information must be the same user who locked the template.

You can use this method to recover the lock information, including the lockToken, for a locked template. The X-DocuSign-Edit header is included in the response.

See TemplateLocks: create for a description of the X-DocuSign-Edit header.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Response

Successful response.
errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
lockDurationInSecondsstringOptional

The number of seconds to lock the envelope for editing. This value must be greater than 0 seconds.

lockedByAppstringOptional

The human-readable name of the application that is locking the envelope or template. This value displays to the user in error messages when lock conflicts occur.

lockedByUserobjectOptional
lockedUntilDateTimestringOptional
The date and time that the lock expires.
lockTokenstringOptional
A unique identifier provided to the owner of the lock. You must use this token with subsequent calls to prove ownership of the lock.
lockTypestringOptional

The type of lock. Currently edit is the only supported type.

useScratchPadstringOptional

When true, a scratchpad is used to edit information.

Errors

400
Bad Request Error